For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • POSTCompute RAG index
        • GETGet RAG index
        • GETGet RAG index overview
        • POSTCompute RAG index in batch
        • DELDelete RAG index
      • GETSearch knowledge base
      • GETGet dependent agents
      • GETGet knowledge base size
      • GETGet knowledge base summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsKnowledge BaseRAG

Compute RAG index in batch

POST
/v1/convai/knowledge-base/rag-index
POST
/v1/convai/knowledge-base/rag-index
$curl -X POST https://api.elevenlabs.io/v1/convai/knowledge-base/rag-index \
> -H "Content-Type: application/json" \
> -d '{
> "items": [
> {
> "document_id": "string",
> "create_if_missing": true,
> "model": "e5_mistral_7b_instruct"
> }
> ]
>}'
1{}

Retrieves and/or creates RAG indexes for multiple knowledge base documents in a single request. Maximum 100 items per request.

Was this page helpful?
Previous

Delete RAG index

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
itemslist of objectsRequired
List of requested RAG indexes. Minimum 1, maximum 100 items.

Response

Successful Response
successobject
OR
failureobject

Errors

422
Unprocessable Entity Error